﻿
Imports System.Data.SqlClient
Imports System.IO

Public Class ClsClientes
    Public CN As New SqlConnection(My.Settings.Conexion)
    Public EC As New ClsEntidadClientes

    Public Function Fun_MostrarClientes() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MostrarClientes", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarTelefonoClientes() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MOSTRAR_CLIENTES_TELEFONOS", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarCorreoClientes() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MOSTRAR_CLIENTES_CORREOS", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_InsertarCliente(DireccionCliente, Fecha, IdentidadCliente, NombreCliente, RtnCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_AGREGAR_CLIENTES", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Direccion", DireccionCliente)
                    CMD.Parameters.AddWithValue("@Fecha_Alta", Fecha)
                    CMD.Parameters.AddWithValue("@Identidad_Cliente", IdentidadCliente)
                    CMD.Parameters.AddWithValue("@Nombre_Cliente", NombreCliente)
                    CMD.Parameters.AddWithValue("@RTN", RtnCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarTelCliente(CodigoCliente, TelefonoCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_AGREGAR_CLIENTES_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                    CMD.Parameters.AddWithValue("@Telefonos", TelefonoCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarCorreoCliente(CodigoCliente, CorreoCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_CREAR_CLIENTES_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                    CMD.Parameters.AddWithValue("@Correos", CorreoCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function
    Public Function Fun_ModificarCliente(CodigoCliente, DireccionCliente, Fecha, IdentidadCliente, NombreCliente, RtnCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_CLIENTES", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                    CMD.Parameters.AddWithValue("@Direccion", DireccionCliente)
                    CMD.Parameters.AddWithValue("@Fecha_Alta", Fecha)
                    CMD.Parameters.AddWithValue("@Identidad_Cliente", IdentidadCliente)
                    CMD.Parameters.AddWithValue("@Nombre_Cliente", NombreCliente)
                    CMD.Parameters.AddWithValue("@RTN", RtnCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_ModificarTelCliente(CodigoCliente, TelefonoCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_CLIENTES_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                    CMD.Parameters.AddWithValue("@Telefonos", TelefonoCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function
    Public Function Fun_ModificarCorreoCliente(CodigoCliente, CorreoCliente) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_CLIENTES_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                    CMD.Parameters.AddWithValue("@Correos", CorreoCliente)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarCliente(CodigoCliente) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_CLIENTES", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarTelCliente(CodigoCliente) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_CLIENTES_TELEFONOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarCorreoCliente(CodigoCliente) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_CLIENTES_CORREOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Cliente", CodigoCliente)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function


End Class
