﻿
Imports System.Data.SqlClient
Imports System.IO
Public Class ClsEmpleados
    Public CN As New SqlConnection(My.Settings.Conexion)

    Public Function Fun_MostrarEmpleados() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MostrarEmpleados", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarTelefonoEmpleados() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MostrarTelefonoEmpleados", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarCorreoEmpleados() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MostrarCorreoEmpleados", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_InsertarEmpleado(FechaInicio, NombreEmpleado, IdentidadEmpleado, Direccion_Empleado, PuestoEmpleado, SalarioEmpleado) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_AGREGAR_EMPLEADOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Fecha_Inicio", FechaInicio)
                    CMD.Parameters.AddWithValue("@Nombre_Empleado", NombreEmpleado)
                    CMD.Parameters.AddWithValue("@Identidad_Empleado", IdentidadEmpleado)
                    CMD.Parameters.AddWithValue("@Direccion", Direccion_Empleado)
                    CMD.Parameters.AddWithValue("@Puesto", PuestoEmpleado)
                    CMD.Parameters.AddWithValue("@Salario", SalarioEmpleado)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarTelEmpleado(CodigoEmpleado, TelefonoEmpleado) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_AGREGAR_EMPLEADOS_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                    CMD.Parameters.AddWithValue("@Telefonos", TelefonoEmpleado)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarCorreoEmpleado(CodigoEmpleado, EmailEmpleado) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_AGREGAR_EMPLEADOS_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                    CMD.Parameters.AddWithValue("@Correos", EmailEmpleado)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function
    Public Function Fun_ModificarEmpleado(CodigoEmpleado, FechaInicio, NombreEmpleado, IdentidadEmpleado, Direccion_Empleado, PuestoEmpleado, SalarioEmpleado) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_EMPLEADOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                    CMD.Parameters.AddWithValue("@Fecha_Inicio", FechaInicio)
                    CMD.Parameters.AddWithValue("@Nombre_Empleado", NombreEmpleado)
                    CMD.Parameters.AddWithValue("@Identidad_Empleado", IdentidadEmpleado)
                    CMD.Parameters.AddWithValue("@Direccion", Direccion_Empleado)
                    CMD.Parameters.AddWithValue("@Puesto", PuestoEmpleado)
                    CMD.Parameters.AddWithValue("@Salario", SalarioEmpleado)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_ModificarCorreoEmpleado(CodigoEmpleado, FechaInicio) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_EMPLEADOS_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                    CMD.Parameters.AddWithValue("@Correos", FechaInicio)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_ModificarTelEmpleado(CodigoEmpleado, TelefonoEmpleado) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_EMPLEADOS_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                    CMD.Parameters.AddWithValue("@Telefonos", TelefonoEmpleado)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarEmpleado(CodigoEmpleado) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_EMPLEADOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarTelEmpleado(CodigoEmpleado) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_TELEFONO_EMPLEADOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarCorreoEmpleado(CodigoEmpleado) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_CORREO_EMPLEADOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Empleado", CodigoEmpleado)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function


End Class
