﻿
Imports System.Data.SqlClient
Imports System.IO

Public Class ClsProveedores
    Public CN As New SqlConnection(My.Settings.Conexion)
    Public EP As New ClsEntidadProveedor

    Public Function Fun_MostrarProveedor() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MOSTRAR_PROVEEDORES", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarTelefonoProveedor() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MOSTRAR_PROVEEDORES_TELEFONOS", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_MostrarCorreoProveedor() As DataTable
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using DA As New SqlDataAdapter("PA_MOSTRAR_PROVEEDORES_CORREOS", CN)
                Using Tabla As New DataTable
                    DA.Fill(Tabla)
                    Return Tabla
                End Using
            End Using
        End Using
    End Function

    Public Function Fun_InsertarProveedor(DireccionProveedor, NombreProveedor, PersonaContactoProv, RtnProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_CREAR_PROVEEDORES", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Direccion", DireccionProveedor)
                    CMD.Parameters.AddWithValue("@Nombre_Proveedor", NombreProveedor)
                    CMD.Parameters.AddWithValue("@Persona_Contacto", PersonaContactoProv)
                    CMD.Parameters.AddWithValue("@RTN", RtnProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarTelProv(CodigoProveedor, TelefonoProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_CREAR_PROVEEDORES_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                    CMD.Parameters.AddWithValue("@Telefonos", TelefonoProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_InsertarCorreoProv(CodigoProveedor, CorreoProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_CREAR_PROVEEDORES_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                    CMD.Parameters.AddWithValue("@Correos", CorreoProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function
    Public Function Fun_ModificarProveedor(CodigoProveedor, DireccionProveedor, NombreProveedor, PersonaContactoProv, RtnProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_PROVEEDORES", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                    CMD.Parameters.AddWithValue("@Direccion", DireccionProveedor)
                    CMD.Parameters.AddWithValue("@Nombre_Proveedor", NombreProveedor)
                    CMD.Parameters.AddWithValue("@Persona_Contacto", PersonaContactoProv)
                    CMD.Parameters.AddWithValue("@RTN", RtnProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_ModificarTelProv(CodigoProveedor, CorreoProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_PROVEEDORES_TELEFONOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                    CMD.Parameters.AddWithValue("@Telefonos", CorreoProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function
    Public Function Fun_ModificarCorreoProv(CodigoProveedor, CorreoProveedor) As Boolean
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_PROVEEDORES_CORREOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                    CMD.Parameters.AddWithValue("@Correos", CorreoProveedor)
                    CN.Open()
                    If CMD.ExecuteNonQuery() Then
                        Return True
                    Else
                        Return False
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarProveedor(CodigoProveedor) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_PROVEEDORES", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarTelProv(CodigoProveedor) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_PROVEEDORES_TELEFONO", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

    Public Function Fun_EliminarCorreoProv(CodigoProveedor) As Boolean
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_ELIMINAR_PROVEEDORES_CORREOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Proveedor", CodigoProveedor)
                If CMD.ExecuteNonQuery() Then
                    Return True
                Else
                    Return False
                End If
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
            Return False
        Finally
            CN.Close()
        End Try
    End Function

End Class
