﻿

Imports System.Data.SqlClient
Imports System.IO

Public Class FrmProveedores
    Public CN As New SqlConnection(My.Settings.Conexion)
    Public CP As New ClsProveedores
    Private Sub FrmProveedores_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ControlBotones()
        DgvDatosProveedores.DataSource = CP.Fun_MostrarProveedor

    End Sub
    Public Sub ControlBotones()
        TxtCodigoProv.Enabled = False
        TxtDireccionProv.Enabled = False
        TxtNombreProv.Enabled = False
        TxtRepresentanteProv.Enabled = False
        TxtRtnProv.Enabled = False
        TxtTelefonoProv.Enabled = False
        TxtEmailProv.Enabled = False
        BtnGuardar.Enabled = False
        BtnModificar.Enabled = False
        BtnEliminar.Enabled = False
        BtnAgregarTelefono.Enabled = False
        BtnAgregarCorreo.Enabled = False
    End Sub
    Private Sub BtnCerrar_Click(sender As Object, e As EventArgs) Handles BtnCerrar.Click
        Me.Close()
    End Sub

    Private Sub BtnMinimizar_Click(sender As Object, e As EventArgs) Handles BtnMinimizar.Click
        Me.WindowState = FormWindowState.Minimized
    End Sub

    Private Sub BtnNuevo_Click(sender As Object, e As EventArgs) Handles BtnNuevo.Click
        TxtDireccionProv.Enabled = True
        TxtDireccionProv.Clear()
        TxtNombreProv.Enabled = True
        TxtNombreProv.Clear()
        TxtRepresentanteProv.Enabled = True
        TxtRepresentanteProv.Clear()
        TxtRtnProv.Enabled = True
        TxtRtnProv.Clear()
        TxtTelefonoProv.Enabled = True
        TxtEmailProv.Enabled = True
        BtnGuardar.Enabled = True
        BtnModificar.Enabled = True
        BtnEliminar.Enabled = True
        BtnAgregarTelefono.Enabled = True
        BtnAgregarCorreo.Enabled = True
    End Sub

    Private Sub BtnGuardar_Click(sender As Object, e As EventArgs) Handles BtnGuardar.Click
        If Me.ValidateChildren = True And TxtDireccionProv.Text <> "" And TxtNombreProv.Text <> "" And TxtRepresentanteProv.Text <> "" And TxtRtnProv.Text <> "" Then
            Try
                CP.Fun_InsertarProveedor(TxtDireccionProv.Text, TxtNombreProv.Text, TxtRepresentanteProv.Text, TxtRtnProv.Text)
                MessageBox.Show("Guardado Exitosamente", "Guardando Proveedor")
                DgvDatosProveedores.DataSource = CP.Fun_MostrarProveedor
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Guardando Proveedor", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
        ControlBotones()
        TxtDireccionProv.Clear()
        TxtNombreProv.Clear()
        TxtRepresentanteProv.Clear()
        TxtRtnProv.Clear()
    End Sub

    Private Sub BtnModificar_Click(sender As Object, e As EventArgs) Handles BtnModificar.Click
        If Me.ValidateChildren = True And TxtCodigoProv.Text <> "" And TxtDireccionProv.Text <> "" And TxtNombreProv.Text <> "" And TxtRepresentanteProv.Text <> "" And TxtRtnProv.Text <> "" Then
            Try
                CP.Fun_ModificarProveedor(TxtCodigoProv.Text, TxtDireccionProv.Text, TxtNombreProv.Text, TxtRepresentanteProv.Text, TxtRtnProv.Text)
                MessageBox.Show("Modificando Exitosamente", "Modificando Proveedor")
                DgvDatosProveedores.DataSource = CP.Fun_MostrarProveedor
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Modificando Proveedor", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
        ControlBotones()
        TxtDireccionProv.Clear()
        TxtNombreProv.Clear()
        TxtRepresentanteProv.Clear()
        TxtRtnProv.Clear()
    End Sub

    Private Sub BtnEliminar_Click(sender As Object, e As EventArgs) Handles BtnEliminar.Click
        If Me.ValidateChildren = True And TxtCodigoProv.Text <> "" And TxtDireccionProv.Text <> "" And TxtNombreProv.Text <> "" And TxtRepresentanteProv.Text <> "" And TxtRtnProv.Text <> "" Then
            Try
                CP.Fun_EliminarProveedor(TxtCodigoProv.Text)
                MessageBox.Show("Eliminando Exitosamente", "Eliminando Proveedor")
                DgvDatosProveedores.DataSource = CP.Fun_MostrarProveedor
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Eliminando Proveedor", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
        ControlBotones()
        TxtDireccionProv.Clear()
        TxtNombreProv.Clear()
        TxtRepresentanteProv.Clear()
        TxtRtnProv.Clear()
    End Sub

    Private Sub BtnAgregarTelefono_Click(sender As Object, e As EventArgs) Handles BtnAgregarTelefono.Click
        FrmProveedorTelefono.Show()
    End Sub

    Private Sub BtnAgregarCorreo_Click(sender As Object, e As EventArgs) Handles BtnAgregarCorreo.Click
        FrmProveedorCorreo.Show()
    End Sub

    Private Sub DgvDatosProveedores_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles DgvDatosProveedores.CellClick
        TxtCodigoProv.Text = DgvDatosProveedores.SelectedCells.Item(0).Value
        TxtDireccionProv.Text = DgvDatosProveedores.SelectedCells.Item(1).Value
        TxtNombreProv.Text = DgvDatosProveedores.SelectedCells.Item(2).Value
        TxtRepresentanteProv.Text = DgvDatosProveedores.SelectedCells.Item(3).Value
        TxtRtnProv.Text = DgvDatosProveedores.SelectedCells.Item(4).Value
    End Sub
End Class