﻿
Imports System.Data.SqlClient
Imports System.IO
Public Class FrmRepuestos
    Public CN As New SqlConnection(My.Settings.Conexion)
    Public DV As New DataView
    Public DS As New DataSet
    Public DA As New SqlDataAdapter
    Public CR As New ClsRepuestos


    Private Sub FrmInventario_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        DgvRepuestos.DataSource = CR.Fun_MostrarInventario
        DgvRepuestos.Columns(4).Visible = False

        TxtCodigo.Enabled = False
        TxtDescripcion.Enabled = False
        TxtPrecio.Enabled = False
        TxtCantidad.Enabled = False
        BtnAgregar.Enabled = False
        BtnModificar.Enabled = False
        BtnEliminar.Enabled = False
        PicFoto.Enabled = False



    End Sub

    Private Sub DgvRepuestos_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles DgvRepuestos.CellClick
        Try
            TxtCodigo.Text = DgvRepuestos.SelectedCells.Item(0).Value
            TxtDescripcion.Text = DgvRepuestos.SelectedCells.Item(1).Value
            TxtPrecio.Text = DgvRepuestos.SelectedCells.Item(2).Value
            TxtCantidad.Text = DgvRepuestos.SelectedCells.Item(3).Value
            PicFoto.Image = DgvRepuestos.SelectedCells.Item(4).FormattedValue
            PicFoto.SizeMode = PictureBoxSizeMode.StretchImage
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub BtnNuevo_Click(sender As Object, e As EventArgs) Handles BtnNuevo.Click

        Dim R As Integer

        ' **** Si excepcionalmente es necesario, escribimos la ruta del "SpaceName"
        'Microsoft.VisualBasic.Randomize()
        'R = Microsoft.VisualBasic.Rnd() * 1000

        ' **** Pero podemos dar un numerico desde 1 hasta 1000 sin Rnd()
        R = Date.Now.Millisecond + 1  ' desde 1 hasta 1000, 1000 veces por segundo !!!

        TxtCodigo.Text = R

        TxtCodigo.Enabled = False
        TxtDescripcion.Enabled = True
        TxtDescripcion.Clear()
        TxtPrecio.Enabled = True
        TxtPrecio.Clear()
        TxtCantidad.Enabled = True
        TxtCantidad.Clear()
        BtnAgregar.Enabled = True
        BtnModificar.Enabled = True
        BtnEliminar.Enabled = True
        PicFoto.Enabled = True
        PicFoto.Image = Nothing
        TxtDescripcion.Focus()
    End Sub

    Public Sub Met_InsertarRepuestos()
        Try
            CN.Open()
            Using CMD As New SqlCommand("PA_AGREGAR_REPUESTOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                CMD.Parameters.AddWithValue("@Cod_Repuesto", TxtCodigo.Text)
                CMD.Parameters.AddWithValue("@Descripcion", TxtDescripcion.Text)
                CMD.Parameters.AddWithValue("@Precio", TxtPrecio.Text)
                CMD.Parameters.AddWithValue("@Cantidad", TxtCantidad.Text)
                Dim MS As New MemoryStream
                PicFoto.Image.Save(MS, PicFoto.Image.RawFormat)
                Dim B As Byte() = MS.GetBuffer
                Dim Foto As New SqlParameter("@Foto", PicFoto.Image)
                Foto.Value = B
                CMD.Parameters.Add(Foto)
                CMD.ExecuteNonQuery()
                CN.Close()
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Public Sub Met_ModificarRepuestos()
        Try
            Using CN As New SqlConnection(My.Settings.Conexion)
                Using CMD As New SqlCommand("PA_MODIFICAR_REPUESTOS", CN)
                    CMD.CommandType = CommandType.StoredProcedure
                    CMD.Parameters.AddWithValue("@Cod_Repuesto", TxtCodigo.Text)
                    CMD.Parameters.AddWithValue("@Descripcion", TxtDescripcion.Text)
                    CMD.Parameters.AddWithValue("@Precio", TxtPrecio.Text)
                    CMD.Parameters.AddWithValue("@Cantidad", TxtCantidad.Text)
                    Dim MS As New MemoryStream
                    PicFoto.Image.Save(MS, PicFoto.Image.RawFormat)
                    Dim B As Byte() = MS.GetBuffer
                    Dim Foto As New SqlParameter("@Foto", PicFoto.Image)
                    Foto.Value = B
                    CMD.Parameters.Add(Foto)
                    CN.Open()
                    CMD.ExecuteNonQuery()
                    CN.Close()
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
    Private Sub BtnAgregar_Click(sender As Object, e As EventArgs) Handles BtnAgregar.Click
        If Me.ValidateChildren = True And TxtDescripcion.Text <> "" And TxtPrecio.Text <> "" And TxtCantidad.Text <> "" And PicFoto.Image IsNot Nothing Then
            Try
                Met_InsertarRepuestos()
                MessageBox.Show("Guardado Exitosamente", "Guardando Producto")
                DgvRepuestos.DataSource = CR.Fun_MostrarInventario
                PicFoto.Image = Nothing
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Guardando Producto", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
    End Sub
    Private Sub BtnModificar_Click(sender As Object, e As EventArgs) Handles BtnModificar.Click
        If Me.ValidateChildren = True And TxtCodigo.Text <> "" And TxtDescripcion.Text <> "" And TxtPrecio.Text <> "" And TxtCantidad.Text <> "" And PicFoto.Image IsNot Nothing Then
            Try
                Met_ModificarRepuestos()
                DgvRepuestos.DataSource = CR.Fun_MostrarInventario
                MessageBox.Show("Modificado Exitosamente", "Actualizando Producto")
                CN.Close()
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Actualizando Producto", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
    End Sub

    Private Sub BtnEliminar_Click(sender As Object, e As EventArgs) Handles BtnEliminar.Click
        If Me.ValidateChildren = True And TxtCodigo.Text <> "" And TxtDescripcion.Text <> "" And TxtPrecio.Text <> "" And TxtCantidad.Text <> "" And PicFoto.Image IsNot Nothing Then
            Try
                If CR.Fun_EliminarRepuesto(TxtCodigo.Text) Then
                    MessageBox.Show("Eliminado Exitosamente", "Eliminando Producto")
                    DgvRepuestos.DataSource = CR.Fun_MostrarInventario
                End If
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            MessageBox.Show("Debe llenar todos los campos", "Eliminando Producto", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
    End Sub
    Private Sub TxtBuscar_TextChanged(sender As Object, e As EventArgs) Handles TxtBuscar.TextChanged
        Using CN As New SqlConnection(My.Settings.Conexion)
            Using CMD As New SqlCommand("PA_MOSTRAR_REPUESTOS", CN)
                CMD.CommandType = CommandType.StoredProcedure
                Dim DA As New SqlDataAdapter(CMD)
                Dim DS As New DataSet
                DA.Fill(DS, "Repuestos")
                DV.Table = DS.Tables(0)
                Me.DgvRepuestos.DataSource = DS.Tables("Repuestos")
                DgvRepuestos.DataSource = DV
                CN.Open()
                CMD.ExecuteNonQuery()
            End Using
        End Using
        DV.RowFilter = String.Format("Descripcion like '%{0}%'", TxtBuscar.Text)
        PicFoto.Image = Nothing
    End Sub

    Private Sub BtnCerrar_Click(sender As Object, e As EventArgs) Handles BtnCerrar.Click
        Dispose()
    End Sub

    Private Sub BtnMaximizar_Click(sender As Object, e As EventArgs) Handles BtnMaximizar.Click
        Me.WindowState = FormWindowState.Maximized
    End Sub

    Private Sub BtnMinimizar_Click(sender As Object, e As EventArgs) Handles BtnMinimizar.Click
        Me.WindowState = FormWindowState.Minimized
    End Sub

    Private Sub PicFoto_Click(sender As Object, e As EventArgs) Handles PicFoto.Click
        If OfdBuscarImagen.ShowDialog() = DialogResult.OK Then
            PicFoto.BackgroundImage = Nothing
            PicFoto.Image = New Bitmap(OfdBuscarImagen.FileName)
            PicFoto.SizeMode = PictureBoxSizeMode.StretchImage
        End If
    End Sub

End Class
