use master 
if exists (select * from sys. databases where name = 'BD_RepuestosYAL')
drop database BD_RepuestosYAL

Create database BD_RepuestosYAL
go

use BD_RepuestosYAL
go

set language spanish
go

create table Empleados 
(
Cod_Empleado int identity (1,1) primary key,
Fecha_Inicio datetime not null,
Nombre_Empleado varchar(50) not null,
Identidad_Empleado char(13) not null,
Direccion_Empleado varchar(50) not null,
Puesto varchar(50) not null,
Salario money not null
)

create table Empleados_Telefonos 
(
Cod_Empleado int not null,
Telefonos varchar(50) not null
)

create table Empleados_Correos 
(
Cod_Empleado int not null,
Correos varchar(100) not null
)

create table Proveedores
(
Cod_Proveedor int identity (1,1) primary key,
Direccion varchar(50) not null,
Nombre_Proveedor varchar(50) not null,
Persona_Contacto varchar (50) not null,
RTN char (14) not null,
)

create table Proveedores_Telefonos 
(
Cod_Proveedor int not null,
Telefonos varchar(50) not null
)

create table Proveedores_Correos 
(
Cod_Proveedor int not null,
Correos varchar(100) not null
)

create table Clientes
(
Cod_Cliente int identity (1,1) primary key,
Direccion varchar (50) not null,
Fecha_Alta datetime not null,
Identidad_Cliente char(13) not null,
Nombre_Cliente varchar(50) not null,
RTN char(14) not null
)

create table Cliente_Telefonos 
(
Cod_Cliente int not null,
Telefonos varchar(50) not null
)

create table Cliente_Correos
(
Cod_Cliente int not null,
Correos varchar(100) not null
)

create table Repuestos 
(
Cod_Repuesto int identity (1,1) primary key,
Descripcion varchar(100) not null,
Precio money not null,
Cantidad int not null,
Foto image
)

create table Facturas
(
Cod_Factura int identity(1,1) primary key,
Fecha datetime not null,
Cod_Cliente int
)

create table Detalle_Factura
(
Cod_Factura int,
Cod_Repuesto int,
Descripcion varchar(100) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null
)
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------

create table Caja
(
Usuario Char(20) primary key,
Cod_Factura int,
Fecha datetime not null,
Contrasea varchar(20) not null, 
Efectivo_Inicio money not null,
Efectivo_Facturas money not null,
Cantidad_Facturas int not null,
Cod_Entrega int identity(1,1) not null,
Cierre_Caja money not null
)
go

create table Ganancias
(
Id_Ganancia int identity(1,1) primary key,
Usuario char(20),
Fecha datetime not null,
Total_Ventas money not null,
Total_Devoluciones money not null,
Total_Neto money not null,
)
go

create table Admon_RepEmple(
Cod_Admon int identity(1,1) primary key,
Cod_Repuesto int not null,
Cod_Empleado int not null
)
go

CREATE TABLE Inventario_General(
Cod_Inventario int identity(1,1) primary key,
Fecha datetime not null,
Cod_Repuesto int not null,
Descripcion varchar(50) not null,
Cantidad_Sistema int not null,
Cantidad_Fisica int not null,
Diferencia int not null,
Total_Diferencias int not null, ---suma de la columna Diferencias
Precio_Unitario money not null,
SubTotal money not null,
ISV money not null,
Total money not null,
Total_Neto money not null, --- suma de la columna Total
)
go

create table Devoluciones_Clientes(
Num_Devolucion int identity(1,1) primary key,
Fecha datetime not null,
Cod_Cliente int not null,
Nombre_Cliente varchar(50) not null,
Identidad_Cliente varchar(15),
RTN varchar (16),
Cod_Factura int not null
)
go

create table Detalle_Devolucion(
Num_Devolucion int,
Cod_Repuesto int,
Descripcion varchar(50) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null,
Total_Neto money not null   ----la suma del importe total
)
go

create table Cotizaciones_Clientes(
Num_Cotizacion int identity(1,1) primary key,
Fecha datetime,
Cod_Cliente int not null,
Nombre_Cliente varchar(50) not null,
Identidad_Cliente varchar(15),
RTN VARCHAR(16),
Telefono_Cliente varchar(9)
)
go

 create table Detalle_Cotizacion(
Num_Cotizacion int,
Cod_Repuesto int,
Descripcion varchar(50) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null,
Total_Neto money not null ----la suma del importe total
)
go

create table Pedidos(
Num_Pedido int identity(1,1) primary key,
Fecha Datetime not null,
Cod_Proveedor int not null,
Nombre_Proveedor varchar(50) not null,
Cod_Empleado int not null,
Nombre_Empleado varchar(50) not null,
BL VARCHAR(15) NOT NULL, -------numero de Board List,utilizado en aduanas por embarques, es documento legal
Manifiesto varchar(15) not null -------numero de entrega de aduana al cliente, es documento legal
)
go

create table Detalle_Pedido(
Num_Pedido int,
Cod_Repuesto int,
Descripcion varchar(50) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null,
Total_Neto money not null
)
go

create table Devoluciones_Proveedores(
Num_Devolucion int identity(1,1) primary key,
Fecha datetime not null,
Cod_Proveedor int not null,
Nombre_Proveedor varchar(50) not null,
RTN varchar (16),
Num_Pedido int not null
)
go

create table Detalle_DevProveedor(
Num_Devolucion int,
Cod_Repuesto int,
Descripcion varchar(50) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null,
Total_Neto money not null
)
go

create table Cotizaciones_Proveedores(
Num_Cotizacion int identity(1,1) primary key,
Fecha datetime,
Cod_Proveedor int not null,
Nombre_Proveedor varchar(50) not null,
)
go

create table Detalle_CotiProveedor(
Num_Cotizacion int,
Cod_Repuesto int,
Descripcion varchar(50) not null,
Precio money not null,
Cantidad int not null,
SubTotal money not null, 
ISV money not null,
Total money not null,
Total_Neto money not null ----la suma del importe total
)
go



--Referencias 
alter table Empleados_Telefonos add foreign key (Cod_Empleado) references Empleados (Cod_Empleado) on delete cascade
alter table Empleados_Correos add foreign key (Cod_Empleado) references Empleados (Cod_Empleado) on delete cascade
alter table Proveedores_Telefonos add foreign key (Cod_Proveedor) references Proveedores (Cod_Proveedor)
alter table Proveedores_Correos add foreign key (Cod_Proveedor) references Proveedores (Cod_Proveedor)
alter table Cliente_Telefonos add foreign key (Cod_Cliente) references Clientes (Cod_Cliente)
alter table Cliente_Correos add foreign key (Cod_Cliente) references Clientes (Cod_Cliente)
go

alter table Facturas add foreign key (Cod_Cliente) references Clientes(Cod_Cliente)
----alter table Facturas add foreign key (Cod_Empleado) references Empleados(Cod_Empleado) ----> no lo v
alter table Detalle_Factura add foreign key (Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Detalle_Factura add foreign key (Cod_Factura) references Facturas(Cod_Factura)
go
---------------------------------------------------------------------------------------------------------


alter table Ganancias add foreign key(Usuario) references Caja(Usuario) 
alter table Caja add foreign key (Cod_Factura) references Facturas(Cod_Factura)
alter table Inventario_General add foreign key (Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Admon_RepEmple add foreign key(Cod_Empleado) references Empleados(Cod_Empleado)
alter table Admon_RepEmple add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Devoluciones_Clientes add foreign key(Cod_Factura) references Facturas(Cod_Factura)
alter table Devoluciones_Clientes add foreign key(Cod_Cliente) references Clientes(Cod_Cliente)
alter table Detalle_Devolucion add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Detalle_Devolucion add foreign key(Num_Devolucion) references Devoluciones_Clientes(Num_Devolucion)
alter table Cotizaciones_Clientes add foreign key(Cod_Cliente) references Clientes(Cod_Cliente)
alter table Detalle_Cotizacion add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Detalle_Cotizacion add foreign key(Num_Cotizacion) references Cotizaciones_Clientes(Num_Cotizacion)
alter table Pedidos add foreign key(Cod_Proveedor) references Proveedores(Cod_Proveedor)
alter table Pedidos add foreign key(Cod_Empleado) references Empleados(Cod_Empleado)
alter table Detalle_Pedido add foreign key(Num_Pedido) references Pedidos(Num_Pedido)
alter table Detalle_Pedido add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Devoluciones_Proveedores add foreign key(Num_Pedido) references Pedidos(Num_Pedido)
alter table Devoluciones_Proveedores add foreign key(Cod_Proveedor) references Proveedores(Cod_Proveedor)
alter table Detalle_DevProveedor add foreign key(Num_Devolucion) references Devoluciones_Proveedores(Num_Devolucion)
alter table Detalle_DevProveedor add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
alter table Cotizaciones_Proveedores add foreign key(Cod_Proveedor) references Proveedores(Cod_Proveedor)
alter table Detalle_CotiProveedor add foreign key(Cod_Repuesto) references Repuestos(Cod_Repuesto)
go

insert into Empleados values ('02/12/2019','Jose Antonio Rivera Suarez','0801198205269','Col. Loma Linda','Vendedor','12000')
insert into Empleados values ('25/06/2019','Marco Antonio Hernandez Casillas','0803199420159','Col. Rio Grande','Gerente General','18000')
insert into Empleados values ('10/07/2019','Maria Jose Montoya','0901197000011','Contador','Col. Campo Cielo','15000')
go

insert into Empleados_Telefonos values ('1','33602518')
insert into Empleados_Telefonos values ('2','99851236')
insert into Empleados_Telefonos values ('3','33695711')
go

insert into Empleados_Correos values ('1','Jose@yahoo.com')
insert into Empleados_Correos values ('2','mrco@gmail.com')
insert into Empleados_Correos values ('3','mjose@gmail.com')
go

insert into Proveedores values ('Col.Miramontes','Super Repuestos','Carlos Javier Soto','08011985024751')
insert into Proveedores values ('Col.Cerro Bonito','Mecanicos','Edwin Jose Torres','08011989123475')
insert into Proveedores values ('Col.Miraflores','Repuestos de Joel','Manuel de Jesus Rivera','08011992563285')
go

insert into Proveedores_telefonos values ('1','99852361')
insert into Proveedores_Telefonos values ('2','96325841')
insert into Proveedores_Telefonos values ('3','33256781')
go

insert into Proveedores_Correos values ('1','soto@yahoo.com')
insert into Proveedores_Correos values ('2','joseto@gmail.com')
insert into Proveedores_Correos values ('3','mjrivera@gmail.com')
go

insert into Clientes values('Col.Toncontin','12/12/2019','0801199345721','Patrix Ochoa','08011993457211')
insert into Clientes values('Col.Prado','20/01/2020','0801199798712','Armando Molina','08011997987126')
insert into Clientes values('Col.Proceres','17/02/2020','0803198066587','Noe Gomez','08031980665878')
go

insert into Cliente_Telefonos values ('1','33251470')
insert into Cliente_Telefonos values ('2','33142700')
insert into Cliente_Telefonos values ('3','87580922')
go

insert into Cliente_Correos values ('1','trix@yahoo.com')
insert into Cliente_Correos values ('2','armando@gmail.com')
insert into Cliente_Correos values ('3','gomezn12@gmail.com')
go

INSERT INTO Repuestos VALUES('CULATA',1950,5,null)
INSERT INTO Repuestos VALUES('GUIA DE VALVULA 1',150,10,null)
INSERT INTO Repuestos VALUES('GUIA DE VALVULA 2',154,10,null)
INSERT INTO Repuestos VALUES('BUJIA CR7HSA',227,100,null)
INSERT INTO Repuestos VALUES('EMPAQUE DE CULATA',181,200,null)
INSERT INTO Repuestos VALUES('CILINDRO',2100,10,null)
INSERT INTO Repuestos VALUES('CIGUEAL',3200,5,null)
INSERT INTO Repuestos VALUES('ARBOL DE LEVAS',871,20,null)
INSERT INTO Repuestos VALUES('PISTON',672,20,null)
INSERT INTO Repuestos VALUES('BIELA',702,20,null)
go

-------------------------------------- TRABAJO RELACIONADO A VISUAL BASIC MARIA DEL CARMEN 
insert into Pedidos values ('02/02/2020','1','NO SE','1','Jose Antonio Rivera Suarez','4528','1245')
insert into Pedidos values ('04/03/2020','2','NO SE','2','Marco Antonio Hernandez Casillas','5201','1369')
insert into Pedidos values ('15/02/2020','3','NO SE ','3','Maria Jose Montoya','0017','9632')
go

select * from Empleados 
Select * from Empleados_Telefonos
select * from Empleados_Correos
select * from Proveedores
select * from Proveedores_Telefonos
select * from Proveedores_Correos
select * from Clientes
select * from Cliente_Telefonos
select * from Cliente_Correos
select * from Repuestos
Select *from Facturas
select *from Detalle_Factura
select *from Caja
Select *from Ganancias
select *from Admon_RepEmple
Select *from Inventario_General
Select *from Devoluciones_Clientes
Select *From Detalle_Devolucion
select *from Cotizaciones_Clientes
select *from Detalle_Cotizacion
--select * from Pedidos
select *from Detalle_Pedido
select *from Cotizaciones_Proveedores
select *from Detalle_CotiProveedor

use BD_RepuestosYAL
go

----------------------------------------------------------------------
----------------------------------------------------------------------
----PROCEDIMIENTOS ALMACENADOS DE EMPLEADOS

CREATE PROCEDURE PA_MostrarEmpleados
as
select * from Empleados
go

create procedure PA_AGREGAR_EMPLEADOS
@Fecha_Inicio datetime, @Nombre_Empleado varchar(100),@Identidad_Empleado varchar(13) , @Puesto varchar(50), @Salario money
as insert into Empleados 
(Fecha_Inicio,Nombre_Empleado,Identidad_Empleado,Puesto,Salario)
values 
(@Fecha_Inicio,@Nombre_Empleado,@Identidad_Empleado,@Puesto,@Salario)
go

create procedure PA_MODIFICAR_EMPLEADOS
@Cod_Empleado int,
@Fecha_Inicio datetime,
@Nombre_Empleado varchar(100),
@Identidad_Empleado varchar(13),
@Puesto varchar(50),
@Salario money
as update Empleados set
Fecha_Inicio = @Fecha_Inicio,
Nombre_Empleado = @Nombre_Empleado,
Identidad_Empleado=@Identidad_Empleado,
Puesto = @Puesto,
Salario = @Salario
where Cod_Empleado = @Cod_Empleado
go

create procedure PA_ELIMINAR_EMPLEADOS 
@Cod_Empleado int
as delete from Empleados
where Cod_Empleado = @Cod_Empleado
go

----PROCEDIMIENTOS ALMACENADOS DE EMPLEADOS_TELEFONOS
CREATE PROCEDURE PA_MostrarTelefonoEmpleados
as
select * from Empleados_Telefonos
go

create procedure PA_AGREGAR_EMPLEADOS_TELEFONOS
@Cod_Empleado int,@Telefonos varchar(50)
as insert into Empleados_Telefonos
(Cod_Empleado ,Telefonos)
values 
(@Cod_Empleado ,@Telefonos)
go

create procedure PA_MODIFICAR_EMPLEADOS_TELEFONOS
@Cod_Empleado int,
@Telefonos varchar(50)
as update Empleados_Telefonos set
Telefonos = @Telefonos
where Cod_Empleado = @Cod_Empleado
go

create procedure PA_ELIMINAR_TELEFONO_EMPLEADOS 
@Cod_Empleado int
as delete from Empleados_Telefonos
where Cod_Empleado = @Cod_Empleado
go
----PROCEDIMIENTOS ALMACENADOS DE EMPLEADOS_CORREOS
CREATE PROCEDURE PA_MostrarCorreoEmpleados
as
select * from Empleados_Correos
go

create procedure PA_AGREGAR_EMPLEADOS_CORREOS
@Cod_Empleado int,@Correos varchar(100)
as insert into Empleados_Correos
(Cod_Empleado ,Correos)
values
(@Cod_Empleado ,@Correos)
go

create procedure PA_MODIFICAR_EMPLEADOS_CORREOS
@Cod_Empleado int,
@Correos varchar(100)
as update Empleados_Correos set
Correos = @Correos
where Cod_Empleado = @Cod_Empleado
go

create procedure PA_ELIMINAR_CORREO_EMPLEADOS 
@Cod_Empleado int
as delete from Empleados_Correos
where Cod_Empleado = @Cod_Empleado
go

------PROCEDIMIENTOS ALMACENADOS DE PROVEEDORES
CREATE PROCEDURE PA_MOSTRAR_PROVEEDORES
AS
SELECT * FROM Proveedores
go

create procedure PA_CREAR_PROVEEDORES
@Direccion varchar(100),@Nombre_Proveedor varchar(100),@Persona_Contacto varchar (100),@RTN char (14)
as insert into Proveedores
(Direccion,Nombre_Proveedor,Persona_Contacto,RTN)
values 
(@Direccion,@Nombre_Proveedor,@Persona_Contacto,@RTN)
go

create procedure PA_MODIFICAR_PROVEEDORES
@Cod_Proveedor int,
@Direccion varchar(100),
@Nombre_Proveedor varchar(100),
@Persona_Contacto varchar (100),
@RTN char(14)
as update Proveedores set
Direccion = @Direccion,
Nombre_Proveedor = @Nombre_Proveedor,
Persona_Contacto = @Persona_Contacto,
RTN = @RTN
where Cod_Proveedor = @Cod_Proveedor
go

create procedure PA_ELIMINAR_PROVEEDORES 
@Cod_Proveedor int
as delete from Proveedores
where Cod_Proveedor = @Cod_Proveedor
go

------PROCEDIMIENTOS ALMACENADOS DE PROVEEDORES_TELEFONOS
CREATE PROCEDURE PA_MOSTRAR_PROVEEDORES_TELEFONOS
AS
SELECT * FROM Proveedores_Telefonos
go

create procedure PA_CREAR_PROVEEDORES_TELEFONOS
@Cod_Proveedor int,@Telefonos varchar(50)
as insert into Proveedores_Telefonos
(Cod_Proveedor ,Telefonos)
values 
(@Cod_Proveedor ,@Telefonos)
go

create procedure PA_MODIFICAR_PROVEEDORES_TELEFONOS
@Cod_Proveedor int,
@Telefonos varchar(50)
as update Proveedores_Telefonos set
Telefonos = @Telefonos
where Cod_Proveedor = @Cod_Proveedor
go

create procedure PA_ELIMINAR_PROVEEDORES_TELEFONO
@Cod_Proveedor int
as delete from Proveedores_Telefonos
where Cod_Proveedor = @Cod_Proveedor
go

------PROCEDIMIENTOS ALMACENADOS DE PROVEEDORES_CORREOS
CREATE PROCEDURE PA_MOSTRAR_PROVEEDORES_CORREOS
AS
SELECT * FROM Proveedores_Correos
go
 
create procedure PA_CREAR_PROVEEDORES_CORREOS
@Cod_Proveedor int,@Correos varchar(50)
as insert into Proveedores_Correos
(Cod_Proveedor ,Correos)
values 
(@Cod_Proveedor ,@Correos)
go

create procedure PA_MODIFICAR_PROVEEDORES_CORREOS
@Cod_Proveedor int,
@Correos varchar(50)
as update Proveedores_Correos set
Correos = @Correos
where Cod_Proveedor = @Cod_Proveedor
go

create procedure PA_ELIMINAR_PROVEEDORES_CORREOS
@Cod_Proveedor int
as delete from Proveedores_Correos
where Cod_Proveedor = @Cod_Proveedor
go

----PROCEDIMIENTOS ALMACENADOS DE CLIENTES
create procedure PA_MostrarClientes
as
select * from Clientes
go

create procedure PA_AGREGAR_CLIENTES
@Direccion varchar, @Fecha_Alta datetime, @Identidad_Cliente char,@Nombre_Cliente varchar, @RTN char
as insert into Clientes  
(Direccion, Fecha_Alta, Identidad_Cliente ,Nombre_Cliente, RTN)
values 
(@Direccion, @Fecha_Alta, @Identidad_Cliente ,@Nombre_Cliente, @RTN)
go

create procedure PA_MODIFICAR_CLIENTES
@Cod_Cliente int,
@Direccion varchar (100), 
@Fecha_Alta datetime, 
@Identidad_Cliente char(13),
@Nombre_Cliente varchar(100),
@RTN char(14)
as update Clientes set
Direccion = @Direccion,
Fecha_Alta = @Fecha_Alta,
Identidad_Cliente = @Identidad_Cliente,
Nombre_Cliente = @Nombre_Cliente,
RTN = @RTN
where Cod_Cliente = @Cod_Cliente
go

create procedure PA_ELIMINAR_CLIENTES
@Cod_Cliente int
as delete from Clientes
where Cod_Cliente = @Cod_Cliente
go

Create Procedure PA_BUSCAR_CLIENTE @Cod_Cliente int
as
Begin
	Select * from Clientes 
	where Cod_Cliente  = @Cod_Cliente

--Select C.Cod_Cliente ,Direccion, Fecha_Alta, Identidad_Cliente ,Nombre_Cliente, RTN , Telefonos CT
--from Clientes C inner join Cliente_Telefonos CT on C.Cod_Cliente=CT.Cod_Cliente 
--inner join Cliente_Correos CC on CC.Cod_Cliente=C.Cod_Cliente
--where CT.Cod_Cliente  = @Cod_Cliente
end 
go

--execute PA_BUSCAR_CLIENTE '1'
--go
----PROCEDIMIENTOS ALMACENADOS DE CLIENTES_TELEFONOS

create procedure PA_MOSTRAR_CLIENTES_TELEFONOS
AS
SELECT * FROM Cliente_Telefonos
go

create procedure PA_AGREGAR_CLIENTES_TELEFONOS
@Cod_Cliente int,@Telefonos varchar(50)
as insert into Cliente_Telefonos
(Cod_Cliente ,Telefonos)
values 
(@Cod_Cliente ,@Telefonos)
go

create procedure PA_MODIFICAR_CLIENTES_TELEFONOS
@Cod_Cliente int,
@Telefonos varchar(50)
as update Cliente_Telefonos set
Telefonos = @Telefonos
where Cod_Cliente = @Cod_Cliente
go

create procedure PA_ELIMINAR_CLIENTES_TELEFONOS
@Cod_Cliente int
as delete from Cliente_Telefonos
where Cod_Cliente = @Cod_Cliente
go


------PROCEDIMIENTOS ALMACENADOS DE PROVEEDORES_CORREOS
create procedure PA_MOSTRAR_CLIENTES_CORREOS
AS
SELECT * FROM Cliente_Correos
go

create procedure PA_CREAR_CLIENTES_CORREOS
 @Cod_Cliente int,@Correos varchar(100)
as insert into Cliente_Correos
( Cod_Cliente ,Correos)
values 
( @Cod_Cliente ,@Correos)
go

create procedure PA_MODIFICAR_CLIENTES_CORREOS
@Cod_Cliente int,
@Correos varchar(50)
as update Cliente_Correos set
Correos = @Correos
where Cod_Cliente = @Cod_Cliente
go

create procedure PA_ELIMINAR_CLIENTES_CORREOS
@Cod_Cliente int
as delete from Cliente_Correos
where Cod_Cliente = @Cod_Cliente
go
----PROCEDIMIENTOS ALMACENADOS DE REPUESTOS
CREATE PROCEDURE PA_MOSTRAR_REPUESTOS
AS
SELECT * FROM Repuestos
go

create procedure PA_AGREGAR_REPUESTOS
@Descripcion varchar(100),@Precio money, @Cantidad int,@Foto image
as insert into Repuestos 
(Descripcion,Precio, Cantidad,Foto)
values 
(@Descripcion,@Precio,@Cantidad,@PcsXmoto, @Foto)
go

create procedure PA_MODIFICAR_REPUESTOS
@Cod_Repuesto int,
@Descripcion varchar(100),
@Precio money,
@Cantidad int,
@Foto image
as update Repuestos set
Descripcion = @Descripcion,
Precio=@Precio,
Cantidad = @Cantidad,
Foto = @Foto
where Cod_Repuesto = @Cod_Repuesto
go

CREATE PROCEDURE PA_ELIMINAR_REPUESTO
@Cod_Repuesto int
as delete from Repuestos
where Cod_Repuesto=@Cod_Repuesto
go

----PROCEDIMIENTOS ALMACENADOS DE FACTURA
create procedure PA_MOSTRAR_FACTURA
AS
SELECT * FROM Facturas
go

create procedure PA_AGREGAR_FACTURA
@Cod_Factura int, @Fecha datetime,@Cod_Empleado int,@Cod_Cliente int,@Nombre_Cliente varchar(40),@Identidad varchar(15),@RTN varchar(16)
as insert into Facturas
(Cod_Factura,Fecha,Cod_Empleado,Cod_Cliente,Nombre_Cliente,Identidad,RTN)
values 
(@Cod_Factura,@Fecha,@Cod_Empleado,@Cod_Cliente,@Nombre_Cliente,@Identidad,@RTN)
go

--create procedure PA_DEVOLUCION_FACTURA

--go

create procedure PA_MODIFICAR__FACTURA
@Cod_Factura int,
@Fecha datetime,
@Cod_Empleado int,
@Cod_Cliente int,
@Nombre_Cliente varchar(40),
@Identidad varchar(15),
@RTN varchar(16)
as update Facturas set
Fecha = @Fecha,
Cod_Empleado = @Cod_Empleado,
Cod_Cliente = @Cod_Cliente,
Nombre_Cliente = @Nombre_Cliente,
Identidad = @Identidad,
RTN = @RTN
where Cod_Factura = @Cod_Factura
go

----PROCEDIMIENTOS ALMACENADOS DE DETALLE_FACTURA
create procedure PA_AGREGAR_DETALLE_FACTURA
@Cod_Factura int,@Cod_Repuesto int,@Descripcion varchar(100),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money
as insert into Detalle_Factura
(Cod_Factura,Cod_Repuesto, Descripcion,Precio,Cantidad,SubTotal,ISV,Total,Total_Neto)
values 
(@Cod_Factura,@Cod_Repuesto, @Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total,@Total_Neto)
go

create procedure PA_MODIFICAR_DETALLE_FACTURA
@Cod_Factura int,
@Cod_Repuesto int,
@Descripcion varchar(100),
@Precio money,
@Cantidad int,
@SubTotal money,
@ISV money,
@Total money,
@Total_Neto money
as update Detalle_Factura set
Cod_Repuesto = @Cod_Repuesto,
Descripcion = @Descripcion,
Precio = @Precio,
Cantidad = @Cantidad,
SubTotal = @SubTotal,
ISV = @ISV,
Total = @Total,
Total_Neto = @Total_Neto
where Cod_Factura = @Cod_Factura
go

----PROCEDIMIENTOS ALMACENADOS DE CAJA
create procedure PA_AGREGAR_CAJA
@Usuario Char(20),@Codigo_Factura int,@Fecha datetime,@Contrasea varchar(20),@Efectivo_Inicio money,@Efectivo_Facturas money,@Cantidad_Facturas int,
@Cod_Entrega int,@Cierre_Caja money
as insert into Caja
(Usuario,Cod_Factura,Fecha,Contrasea,Efectivo_Inicio,Efectivo_Facturas,Cantidad_Facturas,Cod_Entrega,Cierre_Caja)
values 
(@Usuario,@Codigo_Factura,@Fecha,@Contrasea,@Efectivo_Inicio,@Efectivo_Facturas,@Cantidad_Facturas,@Cod_Entrega,@Cierre_Caja)
go

create procedure PA_ELIMINAR_CAJA
@Usuario char
as delete from Caja
where Usuario = @Usuario
go

--create procedure PA_MODIFICAR_CAJA
--@Usuario Char(20),
--@Cod_Factura int,
--@Fecha datetime,
--@Contrasea varchar(20),
--@Efectivo_Inicio money,
--@Efectivo_Facturas money,
--@Cantidad_Facturas int,
--@Cod_Entrega int,
--@Cierre_Caja money
--as update Caja set
--Cod_Factura = @Cod_Factura,
--Fecha = @Fecha,
--Contrasea = @Contrasea,
--Efectivo_Inicio = @Efectivo_Inicio,
--Efectivo_Facturas = @Efectivo_Facturas,
--Cantidad_Facturas=@Cantidad_Facturas,
--Cod_Entrega=@Cod_Entrega,
--Cierre_Caja=@Cierre_Caja
--where Usuario = @Usuario
--go



----PROCEDIMIENTOS ALMACENADOS DE GANANCIAS
create procedure PA_AGREGAR_GANANCIAS
@Id_Ganancia int,@Usuario char(20),@Fecha datetime,@Total_Ventas money,@Total_Devoluciones money,@Total_Neto money
as insert into Ganancias
(Id_Ganancia,Usuario,Fecha,Total_Ventas,Total_Devoluciones,Total_Neto)
values 
(@Id_Ganancia,@Usuario,@Fecha,@Total_Ventas,@Total_Devoluciones,@Total_Neto)
go

create procedure PA_ELIMINAR_GANACIAS 
@Id_Ganancia char
as delete from Ganancias
where Id_Ganancia = @Id_Ganancia
go

create procedure PA_MODIFICAR_GANANCIAS
@Id_Ganancia int,
@Usuario char(20),
@Fecha datetime,
@Total_Ventas money,
@Total_Devoluciones money,
@Total_Neto money
as update Ganancias set
@Usuario = @Usuario,
@Fecha = @Fecha,
@Total_Ventas = @Total_Ventas,
@Total_Devoluciones = @Total_Devoluciones,
@Total_Neto = @Total_Neto
where Id_Ganancia = @Id_Ganancia
go

----PROCEDIMIENTOS ALMACENADOS DE ADMON_RepEmple
create procedure PA_AGREGAR_ADMON_RepEmple
@Cod_Admon int,@Cod_Repuesto int,@Cod_Empleado int
as insert into Admon_RepEmple
(Cod_Admon,Cod_Repuesto,Cod_EmpleadO)
values 
(@Cod_Admon,@Cod_Repuesto,@Cod_Empleado)
go

create procedure PA_ELIMINAR_ADMON_RepEmple
@Cod_Admon char
as delete from Admon_RepEmple
where Cod_Admon = @Cod_Admon
go

create procedure PA_MODIFICAR_ADMON_RepEmple
@Cod_Admon int,
@Cod_Repuesto int,
@Cod_Empleado int
as update Admon_RepEmple set
Cod_Repuesto = @Cod_Repuesto,
Cod_Empleado = @Cod_Empleado
where Cod_Admon = @Cod_Admon
go

----PROCEDIMIENTOS ALMACENADOS DE INVENTARIO GENERAL
create procedure PA_AGREGAR_INVENTARIO_GENERAL 
@Cod_Inventario int,@Fecha datetime,@Cod_Repuesto int,@Descripcion varchar(50),@Cantidad_Sistema int,@Cantidad_Fisica int,@Diferencia int,@Total_Diferencias int,
@Precio_Unitario money,@SubTotal money,@ISV money,@Total money,@Total_Neto money
as insert into Inventario_General 
(Cod_Inventario,Fecha,Cod_Repuesto,Descripcion,Cantidad_Sistema,Cantidad_Fisica,Diferencia,Total_Diferencias,
Precio_Unitario,SubTotal,ISV,Total,Total_Neto)
values 
(@Cod_Inventario,@Fecha,@Cod_Repuesto,@Descripcion,@Cantidad_Sistema,@Cantidad_Fisica,@Diferencia,@Total_Diferencias,
@Precio_Unitario,@SubTotal,@ISV,@Total,@Total_Neto)
go

create procedure PA_ELIMINAR_INVENTARIO_GENERAL 
@Cod_Inventario int
as delete from Inventario_General
where Cod_Inventario = @Cod_Inventario
go

create procedure PA_MODIFICAR_INVENTARIO_GENERAL 
@Cod_Inventario int,
@Fecha datetime,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Cantidad_Sistema int,
@Cantidad_Fisica int,
@Diferencia int,
@Total_Diferencias int,
@Precio_Unitario money,
@SubTotal money,
@ISV money,@Total money,
@Total_Neto money
as update Inventario_General set
Fecha = @Fecha,
Cod_Repuesto = @Cod_Repuesto,
Descripcion = @Descripcion,
Cantidad_Sistema = @Cantidad_Sistema,
Cantidad_Fisica=@Cantidad_Fisica,
Diferencia=@Diferencia,
Total_Diferencias=@Total_Diferencias,
Precio_Unitario=@Precio_Unitario,
SubTotal=@SubTotal,
ISV=@ISV,
Total_Neto=@Total_Neto
where Cod_Inventario = @Cod_Inventario
go

----PROCEDIMIENTOS ALMACENADOS DE DEVOLUCIONES CLIENTES
create procedure PA_AGREGAR_DEVOLUCIONES_CLIENTES 
@Num_Devolucion int,@Fecha datetime,@Cod_Cliente int,@Nombre_Cliente varchar(50),@Identidad_Cliente varchar(15),@RTN varchar(16),@Cod_Factura int
as insert into Devoluciones_Clientes 
(Num_Devolucion,Fecha,Cod_Cliente,Nombre_Cliente,Identidad_Cliente,RTN,Cod_Factura)
values 
(@Num_Devolucion,@Fecha,@Cod_Cliente,@Nombre_Cliente,@Identidad_Cliente,@RTN,@Cod_Factura)
go

create procedure PA_MODIFICAR_DEVOLUCIONES_CLIENTES 
@Num_Devolucion int,
@Fecha datetime,
@Cod_Cliente int,
@Nombre_Cliente varchar(50),
@Identidad_Cliente varchar(15),
@RTN varchar(16),
@Cod_Factura int
as update Devoluciones_Clientes set
Fecha = @Fecha,
Cod_Cliente = @Cod_Cliente,
Nombre_Cliente = @Nombre_Cliente,
Identidad_Cliente = @Identidad_Cliente,
RTN=@RTN,
Cod_Factura=@Cod_Factura
where Num_Devolucion = @Num_Devolucion
go

----PROCEDIMIENTOS ALMACENADOS DE DETALLE DEVOLUCION 
create procedure PA_AGREGAR_DETALLE_DEVOLUCION 
@Num_Devolucion int,@Cod_Repuesto int,@Descripcion varchar(50),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money 
as insert into Detalle_Devolucion 
(Num_Devolucion,Cod_Repuesto,Descripcion,Precio,Cantidad,SubTotal,ISV,Total ,Total_Neto)
values 
(@Num_Devolucion,@Cod_Repuesto,@Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total ,@Total_Neto)
go

create procedure PA_MODIFICAR_DETALLE_DEVOLUCION 
@Num_Devolucion int,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Precio money,@Cantidad int,
@SubTotal money,
@ISV money,@Total money,
@Total_Neto money 
as update Detalle_Devolucion set
Cod_Repuesto = @Cod_Repuesto,
Descripcion = @Descripcion,
Precio = @Precio,
SubTotal = @SubTotal,
ISV=@ISV,
Total_Neto=@Total_Neto
where Num_Devolucion = @Num_Devolucion
go

----PROCEDIMIENTOS ALMACENADOS DE COTIZACIONES CLIENTES 
create procedure PA_AGREGAR_COTIZACIONES_CLIENTES 
@Num_Cotizacion int,@Fecha datetime,@Cod_Cliente int,@Nombre_Cliente varchar(50),@Identidad_Cliente varchar(15),@RTN VARCHAR(16),@Telefono_Cliente varchar(9)
as insert into Cotizaciones_Clientes
(Num_Cotizacion,Fecha,Cod_Cliente,Nombre_Cliente,Identidad_Cliente,RTN,Telefono_Cliente)
values 
(@Num_Cotizacion,@Fecha,@Cod_Cliente,@Nombre_Cliente,@Identidad_Cliente,@RTN,@Telefono_Cliente)
go

create procedure PA_ELIMINAR_COTIZACIONES_CLIENTES 
@Num_Cotizacion int
as delete from Cotizaciones_Clientes
where Num_Cotizacion = @Num_Cotizacion
go

create procedure PA_MODIFICAR_COTIZACIONES_CLIENTES 
@Num_Cotizacion int,
@Fecha datetime,
@Cod_Cliente int,
@Nombre_Cliente varchar(50),
@Identidad_Cliente varchar(15),
@RTN VARCHAR(16),
@Telefono_Cliente varchar(9)
as update Cotizaciones_Clientes set
Fecha = @Fecha,
Cod_Cliente = @Cod_Cliente,
Nombre_Cliente = @Nombre_Cliente,
Identidad_Cliente = @Identidad_Cliente,
RTN=@RTN,
Telefono_Cliente=@Telefono_Cliente
where Num_Cotizacion = @Num_Cotizacion
go

----PROCEDIMIENTOS ALMACENADOS DE DETALLE COTIZACION 
create procedure PA_AGREGAR_DETALLE_COTIZACION 
@Num_Cotizacion int,@Cod_Repuesto int,@Descripcion varchar(50),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money 
as insert into Detalle_Cotizacion
(Num_Cotizacion,Cod_Repuesto,Descripcion,Precio,Cantidad,SubTotal,ISV,Total,Total_Neto)
values 
(@Num_Cotizacion,@Cod_Repuesto,@Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total,@Total_Neto)
gO

create procedure PA_MODIFICAR_DETALLE_COTIZACION  
@Num_Cotizacion int,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Precio money,
@Cantidad int,
@SubTotal money,
@ISV money,
@Total money,
@Total_Neto money 
as update Detalle_Cotizacion set
@Cod_Repuesto = @Cod_Repuesto,
@Descripcion = @Descripcion,
@Precio = @Precio,
@Cantidad = @Cantidad,
@SubTotal=@SubTotal,
@ISV=@ISV,
@Total=@Total,
@Total_Neto=@Total_Neto
where Num_Cotizacion = @Num_Cotizacion
go

----PROCEDIMIENTOS ALMACENADOS DE PEDIDOS 
CREATE PROCEDURE PA_MOSTRAR_PEDIDOS 
as select Pedidos.Num_Pedido,
pedidos.Fecha,
Pedidos.Cod_Proveedor,
Pedidos.Nombre_Proveedor, 
pedidos.Cod_Empleado, 
pedidos.Nombre_Empleado, 
pedidos.BL, 
pedidos.Manifiesto,
Detalle_Pedido.Cod_Repuesto, 
Detalle_Pedido.Descripcion, 
Detalle_Pedido.Precio ,
Detalle_Pedido.Cantidad,
Detalle_Pedido.SubTotal, 
Detalle_Pedido.ISV,
Detalle_Pedido.Total,
Detalle_Pedido.Total_Neto
from pedidos inner join Detalle_Pedido 
on Pedidos.Num_Pedido = Detalle_Pedido.Num_Pedido
go

create procedure PA_AGREGAR_PEDIDOS
@Fecha Datetime,@Cod_Proveedor int,@Nombre_Proveedor varchar(50),@Cod_Empleado int,@Nombre_Empleado varchar(50),@BL VARCHAR(15),
@Manifiesto varchar(15)
as insert into Pedidos
(Fecha,Cod_Proveedor,Nombre_Proveedor,Cod_Empleado,Nombre_Empleado,BL,Manifiesto)
values 
(@Fecha,@Cod_Proveedor,@Nombre_Proveedor,@Cod_Empleado,@Nombre_Empleado,@BL,@Manifiesto)
go

create procedure PA_ELIMINAR_PEDIDOS
@NumPedido int
as delete from Pedidos
where Num_Pedido = @NumPedido
go

create procedure PA_MODIFICAR_PEDIDOS
@NumPedido int,
@Fecha Datetime,
@Cod_Proveedor int,
@Nombre_Proveedor varchar(50),
@Cod_Empleado int,
@Nombre_Empleado varchar(50),
@BL VARCHAR(15),
@Manifiesto varchar(15)
as update Pedidos set
Fecha = @Fecha,
@Cod_Proveedor = @Cod_Proveedor,
@Nombre_Proveedor = @Nombre_Proveedor,
@Cod_Empleado = @Cod_Empleado,
@Nombre_Empleado=@Nombre_Empleado,
@BL=@BL,
@Manifiesto=@Manifiesto
where Num_Pedido = @NumPedido
go

----PROCEDIMIENTOS ALMACENADOS DE DETALLE PEDIDOS
create procedure PA_MOSTRAR_DETALLE_PEDIDOS
as select * from Detalle_Pedido
go

create procedure PA_AGREGAR_DETALLE_PEDIDOS
@Num_Pedidos int,@Cod_Repuesto int,@Descripcion varchar(50),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money 
as insert into Detalle_Pedido
(Num_Pedido,Cod_Repuesto,Descripcion,Precio,Cantidad,SubTotal,ISV,Total,Total_Neto)
values 
(@Num_Pedidos,@Cod_Repuesto,@Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total,@Total_Neto)
gO

create procedure PA_MODIFICAR_DETALLE_PEDIDOS 
@Num_Pedido int,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Precio money ,
@Cantidad int ,
@SubTotal money, 
@ISV money,
@Total money,
@Total_Neto money  
as update Detalle_Pedido set
@Cod_Repuesto = @Cod_Repuesto,
@Descripcion = @Descripcion,
@Precio = @Precio,
@Cantidad = @Cantidad,
@SubTotal=@SubTotal,
@ISV=@ISV,
@Total=@Total,
@Total_Neto=@Total_Neto
where Num_Pedido = @Num_Pedido
go

----PROCEDIMIENTOS ALMACENADOS DE DEVOLUCIONES PROVEEDORES
create procedure PA_MOSTRAR_DEVOLUCIONES_PROVEEDORES
as select Devoluciones_Proveedores.Num_Devolucion,
Devoluciones_Proveedores.Fecha, 
Devoluciones_Proveedores.Cod_Proveedor, 
Devoluciones_Proveedores.Nombre_Proveedor, 
Devoluciones_Proveedores.RTN, 
Devoluciones_Proveedores.Num_Pedido,
Detalle_DevProveedor.Cod_Repuesto,
Detalle_DevProveedor.Descripcion,
Detalle_DevProveedor.Precio ,
Detalle_DevProveedor.Cantidad,
Detalle_DevProveedor.SubTotal, 
Detalle_DevProveedor.ISV ,
Detalle_DevProveedor.Total ,
Detalle_DevProveedor.Total_Neto 
from Devoluciones_Proveedores inner join Detalle_DevProveedor
on Devoluciones_Proveedores.Num_Devolucion = Detalle_DevProveedor.Num_Devolucion
go 

create procedure PA_AGREGAR_DEVOLUCIONES_PROVEEDORES
@Fecha datetime,@Cod_Proveedor int,@Nombre_Proveedor varchar(50),@RTN varchar (16),@Num_Pedido int	
as insert into Devoluciones_Proveedores 
(Fecha,Cod_Proveedor,Nombre_Proveedor,RTN,Num_Pedido)
values 
(@Fecha,@Cod_Proveedor,@Nombre_Proveedor,@RTN,@Num_Pedido)
go

create procedure PA_MODIFICAR_DEVOLUCIONES_PROVEEDORES
@Num_Devolucion int,
@Fecha datetime,
@Cod_Proveedor int,
@Nombre_Proveedor varchar(50),
@RTN varchar (16),
@Num_Pedido int
as update Devoluciones_Proveedores set
@Fecha = @Fecha,
@Cod_Proveedor = @Cod_Proveedor,
@Nombre_Proveedor = @Nombre_Proveedor,
@RTN = @RTN,
@Num_Pedido=@Num_Pedido
where Num_Devolucion = @Num_Devolucion
go

----PROCEDIMIENTOS ALMACENADOS DE DETALLE DEVPROVEEDORES  
create procedure PA_MOSTRAR_DETALLE_DEVPROVEEDORES
as select * from Detalle_DevProveedor
go

create procedure PA_AGREGAR_DETALLE_DEVPROVEEDORES
@Num_Devolucion int,@Cod_Repuesto int,@Descripcion varchar(50),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money	
as insert into Detalle_DevProveedor 
(Num_Devolucion,Cod_Repuesto,Descripcion,Precio,Cantidad,SubTotal,ISV,Total,Total_Neto)
values 
(@Num_Devolucion,@Cod_Repuesto,@Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total,@Total_Neto)
go

create procedure PA_MODIFICAR_DETALLE_DEVPROVEEDORES
@Num_Devolucion int,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Precio money,
@Cantidad int,
@SubTotal money,
@ISV money,
@Total money,
@Total_Neto money	
as update Detalle_DevProveedor set
@Cod_Repuesto = @Cod_Repuesto,
@Descripcion = @Descripcion,
@Precio = @Precio,
@Cantidad = @Cantidad,
@SubTotal=@SubTotal,
@ISV=@ISV,
@Total=@Total,
@Total_Neto=@Total_Neto
where Num_Devolucion = @Num_Devolucion
go

----PROCEDIMIENTOS ALMACENADOS DE COTIZACIONES PROVEEDORES  
create procedure PA_MOSTRAR_COTIZACIONES_PROVEEDORES
as select Cotizaciones_Proveedores.Num_Cotizacion,
Cotizaciones_Proveedores.Fecha,
Cotizaciones_Proveedores.Cod_Proveedor, 
Cotizaciones_Proveedores.Nombre_Proveedor,
Detalle_CotiProveedor.Cod_Repuesto, 
Detalle_CotiProveedor.Descripcion, 
Detalle_CotiProveedor.Precio, 
Detalle_CotiProveedor.Cantidad, 
Detalle_CotiProveedor.SubTotal, 
Detalle_CotiProveedor.ISV, 
Detalle_CotiProveedor.Total, 
Detalle_CotiProveedor.Total_Neto
from Cotizaciones_Proveedores inner join Detalle_CotiProveedor 
on Cotizaciones_Proveedores.Num_Cotizacion = Detalle_CotiProveedor.Num_Cotizacion
go

create procedure PA_AGREGAR_COTIZACIONES_PROVEEDORES
@Fecha datetime,@Cod_Proveedor int,@Nombre_Proveedor varchar(50)
as insert into Cotizaciones_Proveedores 
(Fecha,Cod_Proveedor,Nombre_Proveedor)
values 
(@Fecha,@Cod_Proveedor,@Nombre_Proveedor)
go

create procedure PA_ELIMINAR_COTIZACIONES_PROVEEDORES 
@Num_Cotizacion int
as delete from Cotizaciones_Proveedores
where Num_Cotizacion = @Num_Cotizacion
go

create procedure PA_MODIFICAR_COTIZACIONES_PROVEEDORES
@Num_Cotizacion int,
@Fecha datetime,
@Cod_Proveedor int,
@Nombre_Proveedor varchar(50)
as update Cotizaciones_Proveedores set
@Fecha = @Fecha,
@Cod_Proveedor = @Cod_Proveedor,
@Nombre_Proveedor = @Nombre_Proveedor
where Num_Cotizacion = @Num_Cotizacion
go

---PROCEDIMIENTOS ALMACENADOS DE DETALLE COTIPROVEEDOR
create procedure PA_MOSTRAR_DETALLE_COTIPROVEEDOR
as select * from Detalle_CotiProveedor
go

create procedure PA_AGREGAR_DETALLE_COTIPROVEEDOR
@Num_Cotizacion int,@Cod_Repuesto int,@Descripcion varchar(50),@Precio money,@Cantidad int,@SubTotal money,@ISV money,@Total money,@Total_Neto money
as insert into Detalle_CotiProveedor 
(Num_Cotizacion,Cod_Repuesto,Descripcion,Precio,Cantidad,SubTotal,ISV,Total,Total_Neto)
values 
(@Num_Cotizacion,@Cod_Repuesto,@Descripcion,@Precio,@Cantidad,@SubTotal,@ISV,@Total,@Total_Neto)
go

create procedure PA_ELIMINAR_DETALLE_COTIPROVEEDOR 
@Num_Cotizacion int
as delete from Detalle_CotiProveedor
where Num_Cotizacion = @Num_Cotizacion
go

create procedure PA_MODIFICAR_DETALLE_COTIPROVEEDOR
@Num_Cotizacion int,
@Cod_Repuesto int,
@Descripcion varchar(50),
@Precio money,
@Cantidad int,
@SubTotal money,
@ISV money,
@Total money,
@Total_Neto money
as update Detalle_CotiProveedor set
@Cod_Repuesto = @Cod_Repuesto,
@Descripcion = @Descripcion,
@Precio = @Precio,
@Cantidad=@Cantidad,
@SubTotal=@SubTotal,
@ISV=@ISV,
@Total=@Total,
@Total_Neto=@Total_Neto
where Num_Cotizacion = @Num_Cotizacion
go


exec.PA_AGREGAR_PEDIDOS '02/02/2020','1','NO SE','1','Jose Antonio Rivera Suarez','4528','1245'
exec.PA_AGREGAR_PEDIDOS '04/03/2020','2','NO SE','2','Marco Antonio Hernandez Casillas','5201','1369'
exec.PA_AGREGAR_PEDIDOS '02/15/2020','3','NO SE ','3','Maria Jose Montoya','0017','9632'

exec.PA_AGREGAR_DETALLE_PEDIDOS '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_PEDIDOS '2','2','Repuesto','520','2','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_PEDIDOS '3','2','Repuesto','520','5','1040.00','156.00','1196.00','1196.00'

exec.PA_MOSTRAR_PEDIDOS
exec.PA_MOSTRAR_DETALLE_PEDIDOS

exec.PA_AGREGAR_COTIZACIONES_PROVEEDORES '06/12/2019','1','Super Repuestos'
exec.PA_AGREGAR_COTIZACIONES_PROVEEDORES '08/11/2019','2','Super Repuestos'
exec.PA_AGREGAR_COTIZACIONES_PROVEEDORES '12/10/2019','3','Super Repuestos'

exec.PA_AGREGAR_DETALLE_COTIPROVEEDOR  '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_COTIPROVEEDOR  '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_COTIPROVEEDOR  '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'

exec.PA_MOSTRAR_COTIZACIONES_PROVEEDORES 
exec.PA_MOSTRAR_DETALLE_COTIPROVEEDOR    

exec.PA_AGREGAR_DEVOLUCIONES_PROVEEDORES '05/11/2020','1','Repuesto','08011996235712','1'
exec.PA_AGREGAR_DEVOLUCIONES_PROVEEDORES '05/11/2020','1','Repuesto','08011996235712','1'
exec.PA_AGREGAR_DEVOLUCIONES_PROVEEDORES '05/11/2020','1','Repuesto','08011996235712','1'

exec.PA_AGREGAR_DETALLE_DEVPROVEEDORES '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_DEVPROVEEDORES '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'
exec.PA_AGREGAR_DETALLE_DEVPROVEEDORES '1','1','Repuesto','520','8','1040.00','156.00','1196.00','1196.00'

exec.PA_MOSTRAR_DEVOLUCIONES_PROVEEDORES
exec.PA_MOSTRAR_DETALLE_DEVPROVEEDORES

--drop database BD_RepuestosYAL